Retrieve Sample Video Content Sessions
Retrieve Sample Video Content Sessions:
-
This endpoint only returns ended sessions.
-
By default, returns 50 sample sessions (use the ?limit query parameter to specify up to 1500 sessions).
-
The maximum length of a query time range per API request is 3 hours.
-
The query start timestamp must be within the last 31 days.
-
Only accounts with Viewer Module API permission will receive sessions with viewer_id in the response.
Method
GET
Endpoint
Copy
https://api.conviva.com/insights/3.0/sessions/content
Request Parameters
| Parameter | Datatype | Description |
|---|---|---|
| client_id | string | Filter sessions by client id. |
| end_date | string | <date-time> ISO 8601 format. |
| end_epoch | number | Unix epoch time in seconds. |
| end_epoch_ms | number | Unix epoch time in milliseconds. |
| is_exit_before_video_start | boolean | Filter sessions that have an exit before video start. |
| is_video_playback_failure | boolean | Filter sessions that have a video playback failure error. |
| is_video_playback_failure_business | boolean | Filter sessions that have a video playback failure business error. |
| is_video_playback_failure_tech | boolean | Filter sessions that have a video playback failure tech error. |
| is_video_start_failure | boolean | Filter sessions that have a video start failure error. |
| is_video_start_failure_business | boolean | Filter sessions that have a video start failure business error. |
| is_video_start_failure_tech | boolean | Filter sessions that have a video start failure tech error. |
| limit | integer |
Number of sessions in response >= 1 <= 1500 Default: 50 |
| session_id | string | Filter sessions by Session ID. |
| start_date | string | <date-time> ISO 8601 format. |
| start_epoch | number | Unix epoch time in seconds. |
| start_epoch_ms | number | Unix epoch time in milliseconds. |
| tag_{customTagName} | string | Filter by custom dimension tag (where tag_ is a prefix and {customTagName} is a placeholder of the tag name). |
| {dimension_name} | string | Filter sessions by a dimension label (where {dimension_name} is a placeholder of a Conviva-defined dimension; see our Filtering by Dimensions for a list available dimensions). |
API Responses
200: OK
Example cURL
Copy
curl --request GET \
--url https://api.conviva.com/insights/3.0/sessions/content \
--header 'Accept: application/json'
Example Response
Copy
{
"sessions": [
{
"conviva_session_id": "1.2.3.4.-5",
"client_id": "1.2.3.4",
"session_id": "-5",
"viewer_id": "### REDACTED ###",
"timestamps": {
"start": {
"epoch_ms": 1678829756486,
"iso_date": "2023-03-14T21:35:56.486Z"
},
"end": {
"epoch_ms": 1678829756487,
"iso_date": "2023-03-14T21:35:56.487Z"
}
},
"status_info": {
"is_ended": true,
"ended_status": "By Expiration",
"is_exit_before_video_start": true,
"is_video_start_failure": false,
"is_video_start_failure_business": false,
"is_video_start_failure_tech": false,
"is_video_playback_failure": false,
"is_video_playback_failure_business": false,
"is_video_playback_failure_tech": false,
"errors": []
},
"lifetime_metrics": {
"average_framerate_fps": 0,
"average_peak_bitrate_bps": 0,
"average_percentage_complete": 0,
"bitrate_switches_count": 0,
"connection_induced_rebuffering_ratio_percent": 0,
"connection_induced_rebuffering_time_ms": 0,
"last_play_head_time_ms": -1,
"playing_time_ms": 0,
"paused_ratio_percent": 0,
"paused_time_ms": 0,
"rebuffering_ratio_percent": 0,
"rebuffering_time_ms": 0,
"video_restart_time_ms": 0,
"video_start_time_ms": -3000
},
"content_info": {
"asset": "Detective Memoirs: S1, E1",
"category": "VoD",
"length_ms": 900000,
"stream_url": "example.com"
},
"device_info": {
"browser": {
"name": "Native App",
"version": "Native App"
},
"name": "Apple iPhone",
"os": "iOS",
"os_family": "iOS",
"os_version": "iOS Unknown"
},
"geo_info": {
"city": "Chicago, Illinois, United States",
"state": {
"name": "Illinois, United States",
"code": "IL"
},
"country": {
"name": "United States",
"code": "US"
},
"continent": "North America",
"postal_code": "60609",
"dma": "Chicago"
},
"network_info": {
"asn": {
"value": "33491",
"description": "COMCAST-33491 - Comcast Cable Communications, LLC, US"
},
"cdn": [
"INHOUSE"
],
"isp": "Comcast",
"last_cdn_edge_server": "",
"last_cdn_group_id": ""
},
"tags": {
"selected_dimensions": {
"ad_creative_id": "",
"ad_id": "",
"ad_media_file_api_framework": "",
"ad_planned_duration": "",
"ad_position": "",
"ad_sequence": "",
"ad_system": "",
"ad_technology": "",
"app_version": "AV_5.45",
"browser_name": "Native App",
"browser_version": "Native App",
"content_category": "VoD",
"content_meta_channel": "The Premium Channel",
"content_meta_show_title": "Detective Memoirs: S1, E1",
"content_session_id": "",
"device_hardware_type": "Mobile Phone",
"device_manufacturer": "Apple",
"device_marketing_name": "Apple iPhone 4S",
"device_model": "iPhone 4S",
"device_name": "Apple iPhone",
"device_os": "iOS",
"device_os_family": "iOS",
"device_os_version": "iOS Unknown",
"platform_version": "",
"player_framework_name": "",
"player_framework_version": "",
"player_name": "iOS AVPlayer",
"video_asset_name": ""
},
"custom_tags": {
"absoluteIndex": "",
"ad_break_duration": "90",
"age": "65",
"demo_version": "2022.10.13+rollback_eff17a6",
"has_ad": "true",
"has_preroll": "",
"linked_ad": "pre-mid-roll",
"podIndex": "",
"podPlannedDuration": "",
"podRollPostion": ""
}
}
}
]
}